Jump to content

Template:InfoCard/styles.css: Difference between revisions

From wikiNonStop
update per codex
 
m 1 revision imported: Initial Setup
 
(No difference)

Latest revision as of 08:26, 12 April 2026

.wiki-template-infocard {
	border: 1px solid var( --color-disabled, #A2A9B1 );
	box-shadow: 0 1px 1px rgba( 0, 0, 0, 0.15 );
	border-radius: 2px;
	padding: 1em;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-content: stretch;
	color: var(--color-base, #202122);
	background-color: var(--background-color-base, #fff);
/*	Custom font: (but disabled)
*	font-family: 'Helvetica Neue', 'Helvetica', 'Liberation Sans', 'Arial', sans-serif;*/
}

/* Give title a base value */
.wiki-template-infocard-title {
	padding: 0 0 0 0;
	margin: 0;
}

/* Give title padding and don't give it to title if subtitle exists */
.wiki-template-infocard-title-nosubtitle {
	padding: 0 0 0.5625em 0;
	margin: 0;
}

.wiki-template-infocard-subtitle,
h4.wiki-template-infocard-subtitle {
	padding: 0 0 0.5625em 0;
	margin: 0;
	font-weight: normal;
	color: var(--color-subtle, #54595d);
}

.wiki-template-infocard-content {
	clear: both;
	flex: 1 1 auto;
}

.wiki-template-infocard-footer {
	padding-top: 1.5em;
}

@media screen {
	html.skin-theme-clientpref-night .wiki-template-infocard-title img {
	  filter: invert(1);
	}
}
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .wiki-template-infocard-title img {
    filter: invert(1);
  }
}